#
# spec file for package nmh (Version 1.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  postfix


Name:         nmh
License:      Other License(s), see package
Group:        Productivity/Networking/Email/Utilities
Requires:     less
Provides:     mh
Obsoletes:    mh
Version:      1.1
Release:      178.PU_IAS.1
Summary:      Unix Mail Handler
URL:          http://www.mhost.com/nmh/
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}-%{version}-destdir.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
nmh (new MH) is a powerful electronic mail handling system. It was
originally based on version 6.8.3 of the MH message system developed by
the RAND Corporation and the University of California. It is intended
to be a (mostly) compatible drop-in replacement for MH.

nmh consists of a collection of fairly simple single-purpose programs
to send, receive, save, retrieve, and manipulate e-mail messages. Since
nmh is a suite rather than a single monolithic program, you may freely
intersperse nmh commands with other commands at your shell prompt, or
write custom scripts which use these commands in flexible ways.

Authors:
--------
    Richard Coleman (coleman@math.gatech.edu)

%prep
%setup -q -n nmh
%patch -p1 -b .destfixes

%build
#libtoolize --copy --force
#autoreconf --force --install
./configure --prefix=/usr \
            --mandir=$DESTDIR/%{_mandir} \
            --sysconfdir=/etc/nmh \
	    --sharedstatedir=/var \
	    --enable-pop \
            --with-pager=/usr/bin/less \
	    --libdir=%{_libdir}
make

%install
make CFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/%_lib/*
%dir /etc/nmh/
/etc/nmh/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%doc docs/COMPLETION-* docs/DIFFERENCES docs/FAQ docs/MAIL.FILTERING VERSION 
%doc docs/TODO docs/README* COPYRIGHT

%changelog -n nmh
* Tue Feb 22 2005 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt from Suse rpm, modified for 1.1 final release

* Fri Mar 26 2004 - mmj@suse.de
- Add postfix to # neededforbuild

* Wed Oct 15 2003 - mmj@suse.de
- Don't build as root

* Tue May 13 2003 - mmj@suse.de
- Use %%defattr

* Tue Feb 11 2003 - mmj@suse.de
- Obsoletes and Provides mh -- not conflicts.

* Tue Jan 21 2003 - meissner@suse.de
- make it build on ppc64.

* Thu Nov 28 2002 - mmj@suse.de
- Update to 1.1-RC1
- Use BuildRoot

* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides

* Tue Apr 16 2002 - mmj@suse.de
- Fix it correctly.

* Mon Apr 15 2002 - mmj@suse.de
- Fixed specfile to own /etc/nmh

* Mon Jul 16 2001 - mmj@suse.de
- Initial package. Hopefully Maddog is happy now :)
